Skip to navigation

Get Webhook Subscription Metrics

Get delivery metrics for a webhook subscription.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_idstringRequiredformat: "uuid"

Response

Successful Response
webhook_idstringformat: "uuid"
The ID of the webhook that the metrics are for
http_attemptsobject

The total number of HTTP requests made (including retries)

http_success_attemptsobject
The number of HTTP requests that received a 2xx response
http_failure_attemptsobject

The number of HTTP requests that failed or received a non-2xx response

message_countobject

The total number of unique messages/events processed (regardless of retries)

message_success_countobject

The number of messages that were successfully delivered (after all retries)

success_rateobject
The success rate of the webhook. Only available if there are at least 200 messages
avg_response_time_msobject
The average response time of the webhook
ewma_success_ratedouble or null

The exponentially weighted moving average success rate of the webhook. If lower than 0.95, the webhook is considered unhealthy and marked as stale.

dlq_countinteger
The number of messages that failed to be delivered, and were put in the DLQ. Messages are stored for 14 days and must be replayed manually.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error